/* 
colors.h - quick & dirty color-hack for ircII 
by JobHunt in - done in 3 days while learning C ('96)
*/
#ifndef _COLORS_H_
#define _COLORS_H_
#endif

#define BLACK "[0;30m"
#define RED "[0;31m"
#define GREEN "[0;32m"
#define BROWN "[0;33m"
#define BLUE "[0;34m"
#define PURPLE "[0;35m"
#define COOL "[0;36m"
#define GRAY "[0;37m"
#define LIGHTRED "[1;31m"
#define LIGHTGREEN "[1;32m"
#define YELLOW "[1;33m"
#define LIGHTBLUE "[1;34m"
#define LIGHTPURPLE "[1;35m"
#define LIGHTCOOL "[1;36m"
#define LIGHTGRAY "[1;37m"

/* 
   The Char used to build the first part of the color-code combination 
   --> use a character you never / seldomly use
*/
#define ESC `
#define ESCC '`'

/* 
   The Chars that are used to build the second part of the color-code
   --> for each each color you have to define it's own char. It is good
   to use characters you seldomly use but malfunctions in the
   color-mechanism will only appear if you type/recieve the escape-char and a
   color-code char right after each other. Normally this doesn't happen
   unless you specify a _really_ silly escape-char and even if it happens
   it only results in a wrong-coloured line...
   [sorry for including the colorstuff in such a lame way but it was the
    fastest possible way I saw and this was my first program modified
    with C...]
*/
         /* these are the chars without the stuff around them...*/
#define BLACKN !
#define REDN ~
#define GREENN 
#define BROWNN $
#define BLUEN %
#define PURPLEN &
#define COOLN /
#define GRAYN (
#define LGRAYN )
#define LREDN =
#define LGREENN *
#define YELLOWN +
#define LBLUEN #
#define LPURPLEN _
#define LCOOL ]

/* these are the chars with the stuff acound them -> BlackC means BlackChar...  */
#define BLACKC '!'
#define REDC '~'
#define GREENC ''
#define BROWNC '$'
#define BLUEC '%'
#define PURPLEC '&'         
#define COOLC '/'     
#define GRAYC '('      
#define LGRAYC ')'       
#define LREDC '='      
#define LGREENC '*'       
#define YELLOWC '+'        
#define LBLUEC '#'       
#define LPURPLEC '_'         
#define LCOOLC ']'      


/* Okay, now the color that the Nicks appear in --> we look at the first
   char of the nick to differ...
*/
#define AC REDC
#define BC BROWNC
#define CC BLUEC
#define DC LGREENC
#define EC PURPLEC
#define FC COOLC
#define GC LCOOLC
#define HC LREDC
#define IC COOLC
#define JC LCOOLC
#define KC LGRAYC
#define LC LPURPLEC
#define MC PURPLEC
#define NC REDC
#define OC GREENC
#define PC LGREENC
#define QC BLUEC
#define RC PURPLEC
#define SC COOLC
#define TC LGRAYC
#define UC LREDC
#define VC LGREENC
#define WC YELLOWC
#define XC LBLUEC
#define YC LPURPLEC
#define ZC REDC
#define OTHERC LCOOLC









